#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    long long int a[200000], b=0;
    for(int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    for(int i=0; i<n-1; i++)
    {
        b+=a[i];
        if(a[i]<a[i+1])
        {
            b-=a[i];
        }
        else
        {
            b-=a[i+1];
        }
    }
    b+=a[n-1];
    cout << b;
    return 0;
}
